---
title: "GET /_system/codeeditor/{action_guid} - System · RUAL Documentation"
description: "GET: Get code editor document"
canonical: https://docs.rual.nl/cluster/api/system/system-codeeditor--action-guid-get
language: en
---

# GET /_system/codeeditor/{action_guid}

Get code editor document

| Key | Type | Example | Description |
| --- | --- | --- | --- |
| **action_guid** required | `string` | `"example"` |  |

| Key | Type | Example | Description |
| --- | --- | --- | --- |
| **[authorization](https://docs.rual.nl/cluster/api#token-providing)** required | `string` | `"Bearer access_token"` | Access token |

```
{
  "code": "INVALID_TYPE",
  "language": "en"
}
```

```
{
  "code": 401,
  "error": "INVALID_ACCESS_TOKEN"
}
```

| Status | Error Code | Description |
| --- | --- | --- |
| `401` | `INVALID_ACCESS_TOKEN` | Authentication required or invalid token |
| `403` | `INSUFFICIENT_PERMISSIONS` | Insufficient permissions for this operation |

| Permission | Description |
| --- | --- |
| `Bearer token` | Access token required via Authorization header, x-authtoken, x-token, query param, or cookie |
| `blueprintactions_view` | Required scope: blueprintactions_view |
